mia-2dmyopgt-nonrigid
Prev | Registration of series of 2D images | Next

### mia-2dmyopgt-nonrigid

#### Sysnopis:

`mia-2dmyopgt-nonrigid` {-i `string`} {-o `string`} [ `options` ...]

#### Description:

This program implements the non-linear registration based on Pseudo Ground Thruth for motion compensation of series of myocardial perfusion images given as a data set as described in

Chao Li and Ying Sun, 'Nonrigid Registration of Myocardial Perfusion MRI Using Pseudo Ground Truth' , In Proc. Medical Image Computing and Computer-Assisted Intervention MICCAI 2009, 165-172, 2009

. Note that for this nonlinear motion correction a preceding linear registration step is usually required.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output, required); string

  output perfusion data set

-r, --registered=reg; stringSTRING

  file name base for registered files, the image file type is the same as given in the input data set

#### Pseudo Ground Thruth estimation

-A, --alpha=1; double

  spacial neighborhood penalty weight

-B, --beta=1; double

  temporal second derivative penalty weight

-R, --rho-thresh=0.85; double

  correlation threshold for neighborhood analysis

-k, --skip=0; ulong

  skip images at the beginning of the series e.g. because as they are of other modalities

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.1; factory

  Optimizer used for minimization. For supported plug-ins see Plugin type: minimizer/singlecost

-a, --start-c-rate=32; double

  start coefficinet rate in spines, gets divided by --c-rate-divider with every pass

--c-rate-divider=4; double

  cofficient rate divider for each pass

-d, --start-divcurl=20; double

  start divcurl weight, gets divided by --divcurl-divider with every pass

--divcurl-divider=4; double

  divcurl weight scaling with each new pass

-w, --imageweight=1; double

  image cost weight

-l, --mg-levels=3; ulong

  multi-resolution levels

-P, --passes=4; ulong

  registration passes

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the perfusion series given in 'segment.set' by using Pseudo Ground Truth estimation. Skip two images at the beginning and otherwiese use the default parameters. Store the result in 'registered.set'.

    mia-2dmyopgt-nonrigid -i segment.set -o registered.set -k 2

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dmyoperiodic-nonrigid | Home | mia-2dmyoserial-nonrigid